<?php
/*
 * description：
 * author：wh
 * email：
 * createTime：{2024/5/27} {13:06} 
 */

namespace app\api\controller;


use app\common\model\TabConf;
use think\Db;
use wanghua\general_utility_tools_php\Mmodel;
use wanghua\general_utility_tools_php\tool\Tools;

class Rankinglist extends BaseHttpApi
{

    /**
     * desc：查询排行榜
     * /api/rankinglist/getrankinglist
     * author：wh
     */
    function getrankinglist(){
        return Mmodel::catchJson(function (){
            $lists = Db::table(TabConf::$fa_users)
                ->order('now_level desc')
                ->select();
            return Tools::set_ok('ok',$lists);
        });
    }
}